!     ****************************************************************
!     *                                                              *
!     * ESIZE: Size of the ensemble in the Kalman Filter             *
!     * JCAP : Cut-off wavenumber of the triangular truncation       *
!     * LEVS : Number of vertical sigma levels                       *
!     * LONF : Number of longitudes in the physical space            *
!     * LATG : Number of latitudes in the physical space             *
!     ****************************************************************

      integer JCAP,LEVS,LEVH,LONF,LONFD,LATG,LATG2,LSOIL,NMTVR, &
              JCAP1,JCAP2,LNT,LNTD,LNT2,LNUT,LEVP1,LEVM1,LONF2, &
              ESIZE,NTRAC,NTOZ,NTCW,NCLD
      real MOFF,POFF
      parameter(ESIZE=40)
      parameter(JCAP=62)
      parameter(LEVS=28)
      parameter(LEVH=28)
      parameter(LONF=192)
      parameter(LONFD=LONF+LEVS)  ! LONFD has to be EVEN
      parameter(LATG=94)
      parameter(LATG2=LATG/2)
      parameter(JCAP1=JCAP+1)
      parameter(JCAP2=JCAP+2)
      parameter(LNT=JCAP2*JCAP1/2)
      parameter(LNTD=LNT)
      parameter(LNT2=2*LNT)
      parameter(LNUT=LNT+JCAP1)
      parameter(LEVP1=LEVS+1)
      parameter(LEVM1=LEVS-1)
      parameter(LONF2=LONF*2)
      parameter(MOFF=1.0)
      parameter(POFF=1.0)
      parameter(LSOIL=2)
      parameter(NMTVR=14)  ! 2004 GFS
!
!  Prognostic cloud condensate case (from 2004 GFS)
!
      parameter(NTRAC=2)
      parameter(NTOZ=1)
      parameter(NTCW=2)
      parameter(NCLD=1)
